Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 29 - Amd runs out of FDs (possibly - only when using NIS maps)
Summary: Amd runs out of FDs (possibly - only when using NIS maps)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: am-utils
Version: 5.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-10 22:35 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-11-20 12:07:39 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1998-11-10 22:35:49 UTC
We are using AMD with 3 NIS maps and one "usual" map and
after several days it runs out of file descriptors. We run
AMD on two computers and the problem occurs on both.

Computer 1 has:
am-utils-6.0a16-2
glibc-2.0.7-19
ypbind-3.3-7
kernel 2.0.35

Computer 2 has:
am-utils-6.0a16-3 (recompiled from RawHide SRPM under kernel
2.1.121)
glibc-2.0.7-19
ypbind-3.3-7
kernel 2.1.123

On computer 2:
# ls -l /proc/<AMD pid>/fd
total 0
lrwx------   1 root     root           64 Oct  6 03:10 0 ->
/dev/console
lrwx------   1 root     root           64 Oct  6 03:10 1 ->
/dev/console
lrwx------   1 root     root           64 Oct  6 03:10 10 ->
socket:[20121]
lrwx------   1 root     root           64 Oct  6 03:10 100
-> socket:[102963]
lrwx------   1 root     root           64 Oct  6 03:10 101
-> socket:[102967]
lrwx------   1 root     root           64 Oct  6 03:10 102
-> socket:[102971]
lrwx------   1 root     root           64 Oct  6 03:10 103
-> socket:[104109]
lrwx------   1 root     root           64 Oct  6 03:10 104
-> socket:[104113]
lrwx------   1 root     root           64 Oct  6 03:10 105
-> socket:[104117]
lrwx------   1 root     root           64 Oct  6 03:10 106
-> socket:[105266]
lrwx------   1 root     root           64 Oct  6 03:10 107
-> socket:[105270]
...

Comment 1 Cristian Gafton 1998-11-20 12:07:59 UTC
This is fixed by the upgrading glibc to a more recent version.
Previous releases had a file descriptor leak in the NIS code.


Note You need to log in before you can comment on or make changes to this bug.